org.apache.hadoop.mapreduce.lib.db

## Class DBInputFormat.NullDBWritable

- java.lang.Object
- - org.apache.hadoop.mapreduce.lib.db.DBInputFormat.NullDBWritable

- All Implemented Interfaces:
    org.apache.hadoop.io.Writable, DBWritable
  Direct Known Subclasses:
    DBInputFormat.NullDBWritable
  Enclosing class:
    DBInputFormat<T extends DBWritable>

      @InterfaceStability.Evolving
      public static class DBInputFormat.NullDBWritable
      extends Object
      implements DBWritable, org.apache.hadoop.io.Writable

  A Class that does nothing, implementing DBWritable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NullDBWritable()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `readFields(DataInput in)`
    `void` | `readFields(ResultSet arg0)` Reads the fields of the object from the `ResultSet`.
    `void` | `write(DataOutput out)`
    `void` | `write(PreparedStatement arg0)` Sets the fields of the object in the `PreparedStatement`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NullDBWritable

          public NullDBWritable()

  - ### Method Detail

    - #### readFields

          public void readFields(DataInput in)
                          throws IOException

      Specified by:
        `readFields` in interface `org.apache.hadoop.io.Writable`
      Throws:
        `IOException`

    - #### readFields

          public void readFields(ResultSet arg0)
                          throws SQLException

      Description copied from interface: `DBWritable`
      Reads the fields of the object from the `ResultSet`.
      Specified by:
        `readFields` in interface `DBWritable`
      Parameters:
        `arg0` - the `ResultSet` to get the fields from.
      Throws:
        `SQLException`

    - #### write

          public void write(DataOutput out)
                     throws IOException

      Specified by:
        `write` in interface `org.apache.hadoop.io.Writable`
      Throws:
        `IOException`

    - #### write

          public void write(PreparedStatement arg0)
                     throws SQLException

      Description copied from interface: `DBWritable`
      Sets the fields of the object in the `PreparedStatement`.
      Specified by:
        `write` in interface `DBWritable`
      Parameters:
        `arg0` - the statement that the fields are put into.
      Throws:
        `SQLException`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.